Skip to navigation

Retrieve Current User

View as Markdown
Retrieve details of the current user.

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org

Response

User Found
idstringOptionalRead-onlyformat: "uuid"
Unique identifier for the given user.
emailstring or nullOptionalformat: "email"
Email used by the user to register with NGC
firstNamestring or nullOptional
First name of the user
lastNamestring or nullOptional
Surname of the user
createddatetimeOptionalRead-only
The date that the user was created.
updateddatetimeOptionalRead-only

Date/time when the user was last updated in NICo

Errors

401
Unauthorized Error